package quiz.data;

import quiz.model.Question;

/**
 * Created by andersb on 9/21/2014.
 */
public class DataSourceMemory implements DataSource {
    private final Question[] questions = new Question[]{
            new Question("Capital of Albania?", 1, new String[]{"Durres", "Tirana", "Kerkuk", "Dubrovnik"}),
            new Question("1 inch is equal to", 0, new String[]{"2.54cm", "2.3cm", "2.5mm"})
    };

    private int currentQuestion = 0;

    @Override
    public Question getNextQuestion() {
        if (currentQuestion >= questions.length) return null;
        return questions[currentQuestion++];
    }

    public void startOver() {
        currentQuestion = 0;
    }
}
