package quiz.model;

import java.util.Arrays;

/**
 * Created by andersb on 9/21/2014.
 */
public class Question {
    private final String question;
    private final String[] possibleAnswers;
    private final int correctAnswer;

    public Question(String question, int correctAnswer, String[] possibleAnswers) {
        this.question = question;
        this.possibleAnswers = possibleAnswers;
        this.correctAnswer = correctAnswer;
    }

    public String getQuestion() {
        return question;
    }

    public String[] getPossibleAnswers() {
        return possibleAnswers;
    }

    public int getCorrectAnswer() {
        return correctAnswer;
    }

    @Override
    public String toString() {
        return question + " " + correctAnswer + " " + Arrays.toString(possibleAnswers);
    }
}
